Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Main::KeySnooperSignal Class Reference

KeySnooper signal class. More...

`#include <inti/main.h>`

List of all members.

## Public Types

- typedef Slot2< bool, Gtk::Widget &,
  const Gdk::EventKey & > SlotType
    Function signature for handlers connected to this signal.

## Public Member Functions

- ~KeySnooperSignal ()
    Destructor.
- Connection connect (const SlotType *slot)
    Connect a slot to be called on all key events before delivering them normally.

## Detailed Description

KeySnooper signal class.

## Member Function Documentation

Connection Inti::Main::KeySnooperSignal::connect | ( | const SlotType * | slot | ) |

  | Connect a slot to be called on all key events before delivering them normally. Parameters:
  slot | The slot to call.
Returns: A connection object that can be used to break or alter the connection. Connect a user function that will receive keypress events. It is the snooper's responsiblity to pass the keypress on to the widget, but care must taken that its not passed twice. The user function should return false to prevent further snooping.

The documentation for this class was generated from the following file:

- main.h

Main Page - Footer